#include <avr\io.h>

void ioSetup(void)
{
  /*
    1 = output
    0 = input
  */

  DDRA = 0xff;
  DDRB = 0xcf;  // 0x1011 1111
  DDRC = 0xdf;  // 0x1101 1111
  DDRD = 0xf3;  // 0x1111 0011

  PORTA = 0x00;
  PORTB = 0x0c;
  PORTC = 0x00;
  PORTD = 0x04;
  
}


void ioInt0Enable(void)
{
  // falling edge on int0
  MCUCR |= (1 << ISC01)|(0 << ISC00);

  // enable interrupt
  GICR |= (1 << INT0);
}
