#ifndef __MOTORS_H
#define __MOTORS_H

#include <stdint.h>
#include "config.h"

#define DEATH_ZONE 	6

#ifdef HAS_MOTOR1
	#define M1_L	0x02
	#define M1_R	0x08
#endif

#ifdef HAS_MOTOR2
	#define M2_L	0x01
	#define M2_R	0x04
#endif

#ifdef HAS_MOTOR3
	#define M3_R	0x10
	#define M3_L	0x40
#endif

#ifdef HAS_MOTOR4
	#define M4_L	0x20
	#define M4_R	0x80
#endif

void countLimit(Motor **listOfMotors, uint8_t numberOfMotors);

#endif
