#ifndef _TIMERS_H_
#define _TIMERS_H_

/*
	This file keep declarations of all 
	variables and functions for	timers functionality.

	Declaration below is for ATmega 128
*/

// Variables
volatile unsigned char timeouts;

// Functions
void timer0_init(void);
void timer1_init(void);
void pwm_A(uint16_t val);
void pwm_B(uint16_t val);

void timers_on(void);

void timer0_on(void);
void timer0_off(void);

void timer1_on(uint16_t prescaler);
void timer1_off(void);

#endif /* _TIMERS_H_ */
